English Amiga Board

English Amiga Board (http://eab.abime.net/index.php)
-   project.ClassicWB (http://eab.abime.net/forumdisplay.php?f=61)
-   -   ClassicWB (any OS3.X) and 3.1.4 (http://eab.abime.net/showthread.php?t=94493)

antpant7 21 November 2018 22:26

Hello, has anyone had any joy trying to install ClassicWB on 3.1.4 . Having the same issue with 3.1.4 installation disks not recognised :(

desiv 21 November 2018 23:38

No, and it's not simple. I tweaked the install script to accept the 3.1.4 disks, and there are multiple files/locations that are different, so it wouldn't complete. The install script will need a major rewrite at least...

digiflip 19 December 2018 22:27

if installers get a rewrite will it include cloanto 3.1 (3.x) workbench it doesn't recognise one disc think its the install disc.

KKR75 22 December 2018 20:07

I have started work on porting over the ClassicWB install to recognize the 3.1.4. My goal is to keep the same script intact (so it can install wb3.0 and 3.1 as originally intented by Bloodwhych), and if chosing the option wb3.1.4, it will proceed with that, as well as trying to incorporate the BestWB enhancements/additions, if possible.

This is very much an initial W.I.P. but I am planning on making progress very quickly.

KKR75 26 December 2018 12:33

1 Attachment(s)
After much fiddling, tweaking, and rewriting over the last few days, I have finally managed to get a ClassicWB FULL up and running on WinUAE using 2 configurations, the first one a 68020 / Full ECS (Simulating a modded A500), and the other a 68030/MMU with AGA (simulating an A1200).

Attached is a screenshot of the installation, where you can see the correct WB3.1.4 version and the standard ClassicWB FULL package installation (this is the Copper-enabled AGA version).

One issue that is still nagging me during the install is that there seem to be some sort of memory leak somewhere related when files are being copied. It only happens during the 3.1.4 installation, and not during the 3.0 or 3.1 installation. RAM keeps getting filled up until the end of the file copy, and in total, it takes up to 15MB of RAM. To remedy this situation for now, I created a WinUAE configuration with 16MB of RAM, and this lets the install complete. One can easily reduce it back to 8 or whatever after running the software normally.
This isssue obviously needs to get fixed, but I have no idea where to look, and I have tried to pinpoint it inside the scripts, but not know how to remedy it.

I have yet to try the install on a real Amiga, which I will do so these 2 weeks.

Once I am satsified with the FULL install, I can port it over to the other packages like ADV, ADVSP, LITE, etc...

AMIGASYSTEM 26 December 2018 12:59

Replace the icon.library with this one http://eab.abime.net/attachment.php?...6&d=1544471643

KKR75 26 December 2018 13:07

Quote:

Originally Posted by AMIGASYSTEM (Post 1292821)
Replace the icon.library with this one http://eab.abime.net/attachment.php?...6&d=1544471643

I am not sure this will fix the problem as the memory leak happens way before this icon.librsry gets installed.

But in what way does this new one differ from the one included in the standard 3.1.4 disks?

AMIGASYSTEM 26 December 2018 21:30

Quote:

Originally Posted by KKR75 (Post 1292823)

But in what way does this new one differ from the one included in the standard 3.1.4 disks?


http://eab.abime.net/showpost.php?p=...postcount=2849

KKR75 27 December 2018 18:20

Quote:

Originally Posted by AMIGASYSTEM (Post 1292924)

Thanks. Got it included in the package, latest iconlib v.46.4.511_68020.

digiflip 07 January 2019 20:31

is this ready for release? been using best wb on my replay 060 rig but miss classic wb

will the igame be updated to latest version too?

KKR75 08 January 2019 16:11

ClassicWB-FULL-3.1.4 is ready for further testing. I have heavily modified the install scripts and optimized them so that now the install is able to complete under 4MB of Fast Ram.

I performed the test in WinUAE, using 68020, 2MB Chip, 4MB Z3 Fast, 3.1.4 ROM (obviously), and both Full ECS and AGA chipset tests.

I have included the latest icon.library 46.4.511 (68020 version only) into the set, as well as removed StackAttack, BlazeWCP, IconBeFast, PatchRAM, and TagLiFe from the Startup-sequence as they are all no longer needed.

You will still see all references to those patches in the Scalos pulldown menus, since I did not edit those at all.

Also, Scalos will report ?.? as OS version. That's normal, it doesn't work. You can either hard code 3.1.4 numbers in the title, or use the %ov flag which lists 46.143.

This is just a first pass to get 3.1.4 integrated with ClassicWB. No programs have been updated, deleted, added, etc.... It comes as is, for now.


How can I make the package available to test? It is over 60MB total.

Sandancer 08 January 2019 16:35

Upload it to google cloud or mega and paste link in here

KKR75 08 January 2019 16:54

Thank you, packaged uploaded to my Drive.

Link below. Please remember this is not final work of the whole package ! This is merely to get 3.1.4 integrated with ClassicWB. I am sure more work has to be done, but we can discuss further after public testing.

EDIT: Link removed from this post, updated on my latest post further in the thread.

Sandancer 08 January 2019 16:57

Just got it I will test it on my amiga shortly

digiflip 08 January 2019 19:45

i will test too on MiSTer and replay 060

did you want cloanto 3.1 discs tested too?

digiflip 08 January 2019 20:16

(checked scripts still see's cloanto 3.1 install disk has invalid therefore installation can not continue)

also when reboot with cloanto using wrong install disk get pop up

Scalos request Couldn't open workbench.library v39.x!

ie think this is on the cloaonto install disk will check

checked the workbench library is in cloanto install 3.1 disk ( ie if using 3.x kickstart roms there is no workbench library in kickstart)

workaround added workbench library from install disc to hdf libs and fixes issue to boot from 3.x rom

digiflip 08 January 2019 20:37

not sure if igame and sysinfo suppose to be updated

igame is version 1.6

latest version of igame is 1/11/2018 but may require some components updating

sysinfo is v3.24 latest is v4.0

locksmith 08 January 2019 21:11

os 3.1.4
 
that's good i see this too it all good stuff to see people still getting pleasure with their amiga computers theses days


http://amiga-king.blogspot.com/2019/01/blog-post.html

digiflip 08 January 2019 22:33

advised hstwb dev guy

https://github.com/henrikstengaard/h...ller/issues/22

KKR75 09 January 2019 06:23

I uploaded a new package to my drive, deleted the old one, and therefore the link has changed. It was updated in my post above, but if anyone has shared this link somewhere else than this site here, it will need to be updated.

Changes were very minor: only cleanup of stale installation files.


All times are GMT +2. The time now is 23:54.

Powered by vBulletin® Version 3.8.11
Copyright ©2000 - 2021, vBulletin Solutions Inc.

Page generated in 0.08021 seconds with 11 queries